Cannot access ovirt/rhv platform after upgrading.

Lpar2rrd running on an AIX 7.2tl3sp2 system.

We receive the following message when attempting to access ovirt/rhv platform.


Warning: You cannot use Postgres database, your host system cannot find required Perl modules:

Can't locate DBI.pm in @INC (you may need to install the DBI module) (@INC contains: ../bin /home/lpar2rrd/lpar2rrd/lib /home/lpar2rrd/lpar2rrd/bin /usr/opt/perl5/lib/5.20.1/aix-thread-multi /usr/opt/perl5/lib/5.20.1 /usr/opt/perl5/bin /opt/freeware/lib/perl5/ /opt/freeware/bin/perl /home/lpar2rrd/lpar2rrd/vmware-lib /usr/share/perl5/vendor_perl /u /usr/opt/perl5/lib/site_perl/5.20.1/aix-thread-multi /usr/opt/perl5/lib/site_perl/5.20.1 /opt/freeware/lib/perl5//5.8.8 /usr/opt/perl5/lib/site_perl .) at /home/lpar2rrd/lpar2rrd/bin/host_cfg.pl line 278.

Can't locate DBD/Pg.pm in @INC (you may need to install the DBD::Pg module) (@INC contains: ../bin /home/lpar2rrd/lpar2rrd/lib /home/lpar2rrd/lpar2rrd/bin /usr/opt/perl5/lib/5.20.1/aix-thread-multi /usr/opt/perl5/lib/5.20.1 /usr/opt/perl5/bin /opt/freeware/lib/perl5/ /opt/freeware/bin/perl /home/lpar2rrd/lpar2rrd/vmware-lib /usr/share/perl5/vendor_perl /u /usr/opt/perl5/lib/site_perl/5.20.1/aix-thread-multi /usr/opt/perl5/lib/site_perl/5.20.1 /opt/freeware/lib/perl5//5.8.8 /usr/opt/perl5/lib/site_perl .) at /home/lpar2rrd/lpar2rrd/bin/host_cfg.pl line 278. 


We followed the reference document for installing Postgres Support. We can access the other platforms in the list.

Comments

  • Hi,

    follow this to install necessary modules.

  • edited February 19
    We have already installed the perl-DBI, peril_DBi-Pg, and other suggested packages outlined in http://www.lpar2rrd.com/oVirt-Postgres-support.htm



  • ok, it will be PERL5LIB issue only
    cd /home/lpar2rrd/lpar2rrd
    grep PERL5LIB= etc/lpar2rrd/cfg
  • Here are setting from etc/lpar2rrd.cfg file

    # Path to RRDTool binary
      RRDTOOL=/usr/bin/rrdtool

    # Perl binary
      PERL=/usr/bin/perl
    # PERL=/opt/freeware/bin/perl

    # Perl path for searching modules, it must containg path to RRDp.pm module, usually it is all discovered automatically
     PERL5LIB=/home/lpar2rrd/lpar2rrd/bin:/usr/opt/perl5/lib/5.20.1:/usr/opt/perl5/bin:/opt/freeware/lib/perl5/:/opt/freew
    are/bin/perl:/home/lpar2rrd/lpar2rrd/lib:/home/lpar2rrd/lpar2rrd/vmware-lib

  • put at the end of PERL5LIB in etc/lpar2rrd.cfg this path:
    /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi

    -->

     PERL5LIB=/home/lpar2rrd/lpar2rrd/bin:/usr/opt/perl5/lib/5.20.1:/usr/opt/perl5/bin:/opt/freeware/lib/perl5/:/opt/freeware/bin/perl:/home/lpar2rrd/lpar2rrd/lib:/home/lpar2rrd/lpar2rrd/vmware-lib:/opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi

    then try it again



  • Adding "/opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi" at the end of my PERL5LIB introduces an additional error:

    Warning: You cannot use Postgres database, your host system cannot find required Perl modules:

    Can't load '/opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so' for module DBI: rtld: 0712-001 Symbol Perl_Gthr_key_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. rtld: 0712-001 Symbol Perl_IDBsub_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. rtld: 0712-001 Symbol Perl_Idefgv_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. rtld: 0712-001 Symbol Perl_Idowarn_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. rtld: 0712-001 Symbol Perl_Ierrgv_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. rtld: 0712-001 Symbol Perl_Imodglobal_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. rtld: 0712-001 Symbol Perl_Isub_generation_ptr was referenced from module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/auto/DBI/DBI.so(), but a runtime definition of the symbol was not found. Additional errors occurred but are not reported. at /opt/freeware/lib/perl5//5.28.1/ppc-aix-thread-multi/DynaLoader.pm line 193. at /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/DBI.pm line 266. BEGIN failed--compilation aborted at /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi/DBI.pm line 266. Compilation failed in require at /home/lpar2rrd/lpar2rrd/bin/host_cfg.pl line 278.

    Can't locate DBD/Pg.pm in @INC (you may need to install the DBD::Pg module) (@INC contains: ../bin /home/lpar2rrd/lpar2rrd/lib /home/lpar2rrd/lpar2rrd/bin /usr/opt/perl5/lib/5.20.1 /usr/opt/perl5/bin /opt/freeware/lib/perl5//5.28.1/ppc-aix-thread-multi /opt/freeware/lib/perl5//5.28.1 /opt/freeware/lib/perl5/ /opt/freeware/bin/perl /home/lpar2rrd/lpar2rrd/vmware-lib /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi /opt/freeware/lib/perl5/site_perl/5.28.1/ppc-aix-thread-multi /opt/freeware/lib/perl5/site_perl/5.28.1 /opt/freeware/lib/perl5/5.28.1/ppc-aix-thread-multi /opt/freeware/lib/perl5/5.28.1 /opt/freeware/lib/perl5/site_perl) at /home/lpar2rrd/lpar2rrd/bin/host_cfg.pl line 278. 

  • Attempted to use "/opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi-64all" and received the following:

    Warning: You cannot use Postgres database, your host system cannot find required Perl modules:

    Can't load '/opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi-64all/auto/DBI/DBI.so' for module DBI: Could not load module /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi-64all/auto/DBI/DBI.so. System error: Exec format error at /usr/opt/perl5/lib/5.20.1/aix-thread-multi/DynaLoader.pm line 193. at /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi-64all/DBI.pm line 266. BEGIN failed--compilation aborted at /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi-64all/DBI.pm line 266. Compilation failed in require at /home/lpar2rrd/lpar2rrd/bin/host_cfg.pl line 278.

    Can't locate DBD/Pg.pm in @INC (you may need to install the DBD::Pg module) (@INC contains: ../bin /home/lpar2rrd/lpar2rrd/lib /home/lpar2rrd/lpar2rrd/bin /usr/opt/perl5/lib/5.20.1/aix-thread-multi /usr/opt/perl5/lib/5.20.1 /usr/opt/perl5/bin /opt/freeware/lib/perl5/ /opt/freeware/bin/perl /home/lpar2rrd/lpar2rrd/vmware-lib /opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi-64all /usr/opt/perl5/lib/site_perl/5.20.1/aix-thread-multi /usr/opt/perl5/lib/site_perl/5.20.1 /opt/freeware/lib/perl5//5.8.8 /usr/opt/perl5/lib/site_perl .) at /home/lpar2rrd/lpar2rrd/bin/host_cfg.pl line 278. 

  • try exactly this setting:

      PERL=/opt/freeware/bin/perl
      PERL5LIB=/home/lpar2rrd/lpar2rrd/bin:/home/lpar2rrd/lpar2rrd/vmware-lib:/opt/freeware/lib/perl/5.8.8:/usr/opt/perl5/lib/site_perl/5.8.8/aix-thread-multi:/opt/freeware/lib/perl5/vendor_perl/5.8.8/ppc-thread-multi:/home/lpar2rrd/lpar2rrd/lib
      RRDTOOL=/usr/bin/rrdtool

    however my example is with
    /usr/bin/rrdtool -v
    RRDtool 1.4.8  Copyright 1997-2013 by Tobias Oetiker <tobi@oetiker.ch>

    AIX is not the best platform for resolving of such dependencies  :(
    Linux require single install cmd which does everyhing and all is working then



  • Will try. That looks like our original configuration after the upgrade where ovirt/rhv was working but we could not ingest new data for AIX systems.
  • Have you already have running oVirt in beta?
    Check your old PERL5LIB setting in and try to use it
    cd /home/lpar2rrd/lpar2rrd
    grep PERL5LIB= B*/*/etc/lpar2rrd.cfg
Sign In or Register to comment.